Package ghidra.app.cmd.function

# Class CreateFunctionDefinitionCmd

java.lang.Object
ghidra.app.cmd.function.CreateFunctionDefinitionCmd

All Implemented Interfaces:
  `Command<Program>`

public class CreateFunctionDefinitionCmd extends Object implements Command<Program>
Command for creating a function definition data type based on the function signature for a function at an address.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateFunctionDefinitionCmd(Address entry, ServiceProvider serviceProvider)`
  Constructs a new command for creating a function definition.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(Program program)`
  Applies the command to the given domain object.
  `String`
  `getName()`
  Returns the name of this command.
  `String`
  `getStatusMsg()`
  Returns the status message indicating the status of the command.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CreateFunctionDefinitionCmd

    public CreateFunctionDefinitionCmd(Address entry, ServiceProvider serviceProvider)
    Constructs a new command for creating a function definition.
    Parameters:
      `entry` - entry point address for the function whose signature is to be used to create the function defintion data type.
      `serviceProvider` - optional service provider (may be null). If specified and the `DataTypeManagerService` is found, the newly created function definition will be selected within the GUI.

- ## Method Details

  - ### getName

    public String getName()
    Description copied from interface: `Command`
    Returns the name of this command.
    Specified by:
      `getName` in interface `Command<Program>`
    Returns:
      the name of this command

  - ### applyTo

    public boolean applyTo(Program program)
    Description copied from interface: `Command`
    Applies the command to the given domain object.
    Specified by:
      `applyTo` in interface `Command<Program>`
    Parameters:
      `program` - domain object that this command is to be applied.
    Returns:
      true if the command applied successfully

  - ### getStatusMsg

    public String getStatusMsg()
    Description copied from interface: `Command`
    Returns the status message indicating the status of the command.
    Specified by:
      `getStatusMsg` in interface `Command<Program>`
    Returns:
      reason for failure, or null if the status of the command was successful